package gltronic.voozik.business;

import java.io.IOException;

import org.springframework.web.socket.TextMessage;
import org.springframework.web.socket.WebSocketSession;

public interface IRoomManager {
  public void login(WebSocketSession session, String name) throws InterruptedException, IOException;
  public void leave(WebSocketSession session);
  public void createRoom(WebSocketSession session) throws InterruptedException, IOException;
  public void connectRoom(WebSocketSession session, String roomName) throws InterruptedException, IOException;
  public void followRTC(WebSocketSession session, TextMessage message) throws InterruptedException, IOException;
  public void sendMessage(WebSocketSession session, String type, String message) throws InterruptedException, IOException;
  public void sendServerInfos(WebSocketSession session) throws InterruptedException, IOException;
}